Package com.xebialabs.xlrelease.api.v1.forms

## Class Variable

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.Variable

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Variable
      extends java.lang.Object
      implements java.io.Serializable

  A variable in release or template.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Variable()` |
    `Variable​(java.lang.String key, java.lang.String value)` |
    `Variable​(java.lang.String key, java.lang.String value, boolean required)` |
    `Variable​(java.lang.String type, java.lang.String key, java.lang.Object value, boolean required)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `ExternalVariableValue` | `getExternalVariableValue()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getKey()` |
    `java.lang.String` | `getLabel()` |
    `java.lang.String` | `getReferencedType()` |
    `java.lang.String` | `getType()` |
    `java.lang.Object` | `getValue()` |
    `ValueProviderConfiguration` | `getValueProvider()` |
    `boolean` | `isInherited()` |
    `boolean` | `isMultiline()` |
    `boolean` | `isPreventInterpolation()` |
    `boolean` | `isRequiresValue()` |
    `boolean` | `isShowOnReleaseStart()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setExternalVariableValue​(ExternalVariableValue externalVariableValue)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setInherited​(boolean inherited)` |
    `void` | `setKey​(java.lang.String key)` |
    `void` | `setLabel​(java.lang.String label)` |
    `void` | `setMultiline​(boolean multiline)` |
    `void` | `setPreventInterpolation​(boolean preventInterpolation)` |
    `void` | `setReferencedType​(java.lang.String referencedType)` |
    `void` | `setRequiresValue​(boolean requiresValue)` |
    `void` | `setShowOnReleaseStart​(boolean showOnReleaseStart)` |
    `void` | `setType​(java.lang.String type)` |
    `void` | `setValue​(java.lang.Object value)` |
    `void` | `setValueProvider​(ValueProviderConfiguration valueProvider)` |
    `Variable` | `toReleaseVariable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Variable

          public Variable()

    - #### Variable

          public Variable​(java.lang.String key,
                          java.lang.String value)

    - #### Variable

          public Variable​(java.lang.String key,
                          java.lang.String value,
                          boolean required)

    - #### Variable

          public Variable​(java.lang.String type,
                          java.lang.String key,
                          java.lang.Object value,
                          boolean required)

  - ### Method Detail

    - #### toReleaseVariable

          public Variable toReleaseVariable()

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey​(java.lang.String key)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType​(java.lang.String type)

    - #### isRequiresValue

          public boolean isRequiresValue()

    - #### setRequiresValue

          public void setRequiresValue​(boolean requiresValue)

    - #### isShowOnReleaseStart

          public boolean isShowOnReleaseStart()

    - #### setShowOnReleaseStart

          public void setShowOnReleaseStart​(boolean showOnReleaseStart)

    - #### getValue

          public java.lang.Object getValue()

    - #### setValue

          public void setValue​(java.lang.Object value)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel​(java.lang.String label)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getValueProvider

          public ValueProviderConfiguration getValueProvider()

    - #### setValueProvider

          public void setValueProvider​(ValueProviderConfiguration valueProvider)

    - #### isMultiline

          public boolean isMultiline()

    - #### setMultiline

          public void setMultiline​(boolean multiline)

    - #### isInherited

          public boolean isInherited()

    - #### setInherited

          public void setInherited​(boolean inherited)

    - #### getExternalVariableValue

          public ExternalVariableValue getExternalVariableValue()

    - #### setExternalVariableValue

          public void setExternalVariableValue​(ExternalVariableValue externalVariableValue)

    - #### isPreventInterpolation

          public boolean isPreventInterpolation()

    - #### setPreventInterpolation

          public void setPreventInterpolation​(boolean preventInterpolation)

    - #### getReferencedType

          public java.lang.String getReferencedType()

    - #### setReferencedType

          public void setReferencedType​(java.lang.String referencedType)